%define name kdeutils
%define version 1.1.2
%define release 13mdk

%define sourcedir stable/%{version}/distribution/tar/generic/source
%define qtver  qt >= 1.44

Name: %{name}
Summary: K Desktop Environment - Utilities
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-1.1.2.tar.bz2
Source1: kdeutils_menuentries
Patch0: kdeutils-typo.patch.bz2
Patch1: %{name}-991110.patch.bz2
Group: Graphical desktop/KDE
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL/Artistic
Requires: %{qtver} kdesupport
%ifarch alpha
BuildRequires: libtool
%endif

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq
(print queue manager) knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced);kwrite (improved
text editor).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p0 -b .typo
%patch1 -p1

%build
%ifarch alpha
libtoolize --force
%endif
make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
mkdir -p $RPM_BUILD_ROOT
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make install

# (fg) Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdeutils

# (fg) Huh! What the <beep> is this file doing here?
rm -f $RPM_BUILD_ROOT/usr/share/locale/pt_BR/LC_MESSAGES/kless.mo

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/lib/menu/kdeutils
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/toolbar
/usr/share/toolbar/filedel.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/*

%changelog
* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.2-13mdk
- Change menu entry for dockable application

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-12mdk

- Added --disable-rpath to ./configure

* Fri Mar 31 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-11mdk

- Really changed group
- Typo fixes
- post and postun scripts

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-10mdk

- Don't use prefix
- Don't use autogenerated file list
- Menu entries
- Changed group

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-9mdk
- Fix typo in french translations (#4).

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force added for alpha

* Tue Dec  7 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- again with the "make install-strip" sucks (use macro)

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the -pre1.

* Sat Sep 04 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Added patch to use lowcolor 32x32 icons.           

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reprefixing to -pre1.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Thu Aug 19 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Another CVS update.

* Fri Aug  6 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Update to current CVS 1.1.2

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release (7mdk).

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- Mandrake adaptions

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







